<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="relatorioContasReceberPrevisao" pageWidth="595" pageHeight="842" whenNoDataType="AllSectionsNoDetail" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="c3105275-b340-40f4-9252-38afeedee7d4">
	<property name="ireport.zoom" value="1.6105100000000026"/>
	<property name="ireport.x" value="136"/>
	<property name="ireport.y" value="0"/>
	<parameter name="SUBREPORT_DIR" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["D:\\Desenv\\Workspace\\nepalign\\src\\relatorios\\"]]></defaultValueExpression>
	</parameter>
	<parameter name="EMPRESAS" class="java.lang.String"/>
	<parameter name="DATA_INICIAL" class="java.lang.String"/>
	<parameter name="DATA_FINAL" class="java.lang.String"/>
	<queryString>
		<![CDATA[select dataLancamento ,
truncate(sum(valorDebito),2) as DEBITO,truncate(sum(valorCredito),2) as CREDITO,
truncate(sum(valorMenor),2) as valorMenor, truncate(sum(valorMaior),2) as valorMaior,
(truncate(sum(valorDebito),2) +truncate(sum(valorCredito),2)+ truncate(sum(valorMenor),2) + truncate(sum(valorMaior),2)) as TOTAL
 from
(SELECT crec.dataLancamento,
        0 as valorDebito,
        0 as valorCredito,
		0 as valorMenor,
        sum(valorLancamento) as valorMaior

FROM
    lancamentoContaReceber crec
    inner join
    formapagamentocartao forma on forma.idFormaPagamentoCartao = crec.idFormaPagamentoCartao
 WHERE
  crec.idEmpresaFinanceiro in (803)
  and crec.quantidadeParcelas >6
  and forma.idFormaPagamentoCartao = 3
  and crec.dataLancamento between '2016-02-01 00:00:00' and '2016-02-15 23:59:59'
  group by crec.datalancamento

  union all

  SELECT crec.dataLancamento,
       sum(valorLancamento) as valorDebito,
       0 as valorCredito,
       0 as valorMenor,
       0 as valorMaior
FROM
    lancamentoContaReceber crec
    inner join
    formapagamentocartao forma on forma.idFormaPagamentoCartao = crec.idFormaPagamentoCartao
 WHERE
  crec.idEmpresaFinanceiro in (803)
  and forma.idFormaPagamentoCartao = 1
  and crec.quantidadeParcelas = 1
  and crec.dataLancamento between '2016-02-01 00:00:00' and '2016-02-15 23:59:59'
  group by crec.datalancamento

  UNION ALL

  SELECT crec.dataLancamento,
       0 as valorDebito,
       sum(valorLancamento) as valorCredito,
       0 as valorMenor,
       0 as valorMaior
FROM
    lancamentoContaReceber crec
    inner join
    formapagamentocartao forma on forma.idFormaPagamentoCartao = crec.idFormaPagamentoCartao
 WHERE
  crec.idEmpresaFinanceiro in (803)
  and forma.idFormaPagamentoCartao = 2
  and crec.quantidadeParcelas = 1
  and crec.dataLancamento between '2016-02-01 00:00:00' and '2016-02-15 23:59:59'
  group by crec.datalancamento

  union all

  SELECT crec.dataLancamento,
    0 as valorDebito,
    0 as valorCredito,
    sum(valorLancamento) as valorMenor,
	0 as valorMaior
FROM
    lancamentoContaReceber crec
    inner join
    formapagamentocartao forma on forma.idFormaPagamentoCartao = crec.idFormaPagamentoCartao
 WHERE
  crec.idEmpresaFinanceiro in (803)
  and crec.quantidadeParcelas <=6
   and forma.idFormaPagamentoCartao = 2
  and crec.dataLancamento between '2016-02-01 00:00:00' and '2016-02-15 23:59:59'
  group by crec.datalancamento
) as t
group by dataLancamento]]>
	</queryString>
	<field name="dataLancamento" class="java.sql.Date">
		<fieldDescription><![CDATA[dataLancamento:Dt. Lançamento]]></fieldDescription>
	</field>
	<field name="DEBITO" class="java.lang.Double"/>
	<field name="CREDITO" class="java.lang.Double">
		<fieldDescription><![CDATA[credito:Crédito]]></fieldDescription>
	</field>
	<field name="valorMenor" class="java.lang.Double"/>
	<field name="valorMaior" class="java.lang.Double"/>
	<field name="TOTAL" class="java.lang.Double"/>
	<variable name="TOTAL_DEBITO" class="java.lang.Double" calculation="Sum">
		<variableExpression><![CDATA[$F{DEBITO}]]></variableExpression>
	</variable>
	<variable name="TOTAL_CREDITO" class="java.lang.Double" calculation="Sum">
		<variableExpression><![CDATA[$F{CREDITO}]]></variableExpression>
	</variable>
	<variable name="TOTALMENOR" class="java.lang.Double" calculation="Sum">
		<variableExpression><![CDATA[$F{valorMenor}]]></variableExpression>
	</variable>
	<variable name="TOTALMAIOR" class="java.lang.Double" calculation="Sum">
		<variableExpression><![CDATA[$F{valorMaior}]]></variableExpression>
	</variable>
	<variable name="TOTAL" class="java.lang.Double" calculation="Sum">
		<variableExpression><![CDATA[$F{TOTAL}]]></variableExpression>
	</variable>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="66" splitType="Stretch">
			<textField pattern="dd/MM/yyyy HH:mm:ss">
				<reportElement uuid="6df39d0a-270c-4d82-a1f2-e3db9ff2f75d" x="464" y="3" width="88" height="18"/>
				<textElement textAlignment="Right">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[new java.util.Date()]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement uuid="075f161e-5036-4c32-8a90-afd6fbb3eea6" x="1" y="25" width="47" height="13"/>
				<textElement verticalAlignment="Middle">
					<font size="8" isBold="true"/>
				</textElement>
				<text><![CDATA[Empresa:]]></text>
			</staticText>
			<textField isBlankWhenNull="true">
				<reportElement uuid="4c0d2524-6f71-4b3f-a79a-0cfd23e92c60" x="2" y="3" width="349" height="17"/>
				<textElement>
					<font size="12" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["RELATORIO CARTÕES - TOTAL/DIA"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="5c03fac6-ddf7-46dc-8cc2-c792101d3f7e" x="51" y="25" width="299" height="13"/>
				<textElement verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{EMPRESAS}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement uuid="2575229c-7b36-4a58-9799-b852c3f297ad" x="1" y="39" width="51" height="13"/>
				<textElement verticalAlignment="Middle">
					<font size="8" isBold="true"/>
				</textElement>
				<text><![CDATA[Data Inicial:]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="ff41feb5-6ef1-41ab-a1b5-c31f5ecca1e7" x="1" y="53" width="51" height="13"/>
				<textElement verticalAlignment="Middle">
					<font size="8" isBold="true"/>
				</textElement>
				<text><![CDATA[Data Final:]]></text>
			</staticText>
			<textField>
				<reportElement uuid="84ab4e59-5061-4d14-8150-776ede31e197" x="52" y="39" width="171" height="13"/>
				<textElement verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{DATA_INICIAL}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="ef4016b8-9af9-400b-95a1-ad0f841cfe04" x="52" y="53" width="171" height="13"/>
				<textElement verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{DATA_FINAL}]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<columnHeader>
		<band height="21">
			<staticText>
				<reportElement uuid="3b894ca8-3c36-47ea-9427-8b93cbd25b8c" x="361" y="7" width="50" height="13"/>
				<textElement textAlignment="Right" verticalAlignment="Bottom">
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[PARC. > 6X]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="ae8c815a-fe58-4781-80a9-7db54fdf045d" x="105" y="7" width="44" height="13"/>
				<textElement textAlignment="Right" verticalAlignment="Bottom">
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[DEBITO]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="522c6732-4f9a-4869-8111-d8d53d0aee8f" x="281" y="7" width="56" height="13"/>
				<textElement textAlignment="Right" verticalAlignment="Bottom">
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[PARC. <= 6X]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="55a68e2b-a826-48bb-b96f-33710d4c6c02" x="2" y="7" width="61" height="13"/>
				<textElement verticalAlignment="Bottom">
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[DT EMISSAO]]></text>
			</staticText>
			<line>
				<reportElement uuid="59841db7-eead-4a2f-b3c7-0eecd315f111" x="0" y="20" width="501" height="1" forecolor="#999999"/>
			</line>
			<staticText>
				<reportElement uuid="9803b778-d354-453a-b423-b70ff4b901fb" x="444" y="7" width="57" height="13"/>
				<textElement textAlignment="Right" verticalAlignment="Bottom">
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[VLR TOTAL]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="6dcf10f5-49c1-4d14-999f-b8a1bca97515" x="188" y="7" width="51" height="13"/>
				<textElement textAlignment="Right" verticalAlignment="Bottom">
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[CREDITO]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="13" splitType="Stretch">
			<textField pattern="#,##0.00" isBlankWhenNull="true">
				<reportElement uuid="9ec85de7-a634-4f33-908a-15f83854fe9e" x="281" y="0" width="56" height="13"/>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[$F{valorMenor}]]></textFieldExpression>
			</textField>
			<textField pattern="dd/MM/yy">
				<reportElement uuid="07c1e193-5ffa-4672-920b-926191a60f60" x="2" y="0" width="61" height="13"/>
				<textElement/>
				<textFieldExpression><![CDATA[$F{dataLancamento}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00" isBlankWhenNull="true">
				<reportElement uuid="4dda574e-96dd-47ab-91b8-928784f6857a" x="444" y="0" width="57" height="13"/>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[$F{TOTAL}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement uuid="91a16068-5ae6-4b0a-985d-aa4cebccdf5a" x="105" y="0" width="44" height="13"/>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[$F{DEBITO}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00" isBlankWhenNull="true">
				<reportElement uuid="f144f4cf-c2c3-4487-86a6-dbebf4174dbe" x="188" y="0" width="51" height="13"/>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[$F{CREDITO}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00" isBlankWhenNull="true">
				<reportElement uuid="76d6d22d-fa11-42e1-9341-a761887e1bb6" x="361" y="0" width="50" height="13"/>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[$F{valorMaior}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band/>
	</columnFooter>
	<pageFooter>
		<band height="20" splitType="Stretch">
			<textField>
				<reportElement uuid="867379d4-bbd1-48ad-97e9-897f0926aed7" x="436" y="6" width="80" height="13"/>
				<textElement textAlignment="Right">
					<font isItalic="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Página "+$V{PAGE_NUMBER}+" de"]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Report">
				<reportElement uuid="5b55ae07-ad71-41b7-b4a5-9da69ef664ca" x="516" y="6" width="40" height="13"/>
				<textElement>
					<font isItalic="true"/>
				</textElement>
				<textFieldExpression><![CDATA[" " + $V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement uuid="165aa23a-2c36-4e0a-9e58-3361dee849d5" x="0" y="19" width="552" height="1"/>
			</line>
			<textField pattern="EEE, d MMM yyyy HH:mm:ss">
				<reportElement uuid="0b4fe8eb-13f9-4a54-b0bd-83602bd23042" x="0" y="6" width="140" height="13"/>
				<textElement>
					<font isItalic="true"/>
				</textElement>
				<textFieldExpression><![CDATA[new java.util.Date()]]></textFieldExpression>
			</textField>
		</band>
	</pageFooter>
	<lastPageFooter>
		<band/>
	</lastPageFooter>
	<summary>
		<band height="16">
			<textField pattern="#,##0.00">
				<reportElement uuid="7b189804-92b1-470a-9865-90151a945858" x="361" y="3" width="50" height="13"/>
				<textElement textAlignment="Right" verticalAlignment="Bottom">
					<font size="9" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{TOTALMAIOR}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement uuid="8d48992a-583c-48b5-85b9-da76394efb75" x="17" y="3" width="46" height="13"/>
				<textElement textAlignment="Right" verticalAlignment="Bottom">
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[TOTAL:]]></text>
			</staticText>
			<textField pattern="#,##0.00">
				<reportElement uuid="e8d62811-45f3-4e16-9f22-73b3313bb0b1" x="444" y="3" width="51" height="13"/>
				<textElement textAlignment="Right" verticalAlignment="Bottom">
					<font size="9" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{TOTAL}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement uuid="8b21a48a-4a8e-4e39-81df-1a165b661762" x="188" y="3" width="51" height="13"/>
				<textElement textAlignment="Right" verticalAlignment="Bottom">
					<font size="9" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{TOTAL_CREDITO}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement uuid="b2ada275-791b-45e3-99d2-7e175c65985f" x="105" y="3" width="44" height="13"/>
				<textElement textAlignment="Right" verticalAlignment="Bottom">
					<font size="9" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{TOTAL_DEBITO}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement uuid="b4f2ea2b-5359-4a6b-a814-964cef0660eb" x="281" y="3" width="56" height="13"/>
				<textElement textAlignment="Right" verticalAlignment="Bottom">
					<font size="9" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{TOTALMENOR}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement uuid="f53756e6-fdb7-4f52-8ded-735f16012535" x="0" y="1" width="501" height="1"/>
			</line>
		</band>
	</summary>
</jasperReport>
